## kdecoration 5.25.5

=== debian/changelog ===
kdecoration (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:43 +0100

kdecoration (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file and lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 01:50:00 +0100

kdecoration (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:20 +0200

kdecoration (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:41 +0100

kdecoration (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:03 +0200

kdecoration (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:18 +0100

kdecoration (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:18 +0100

kdecoration (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:45:24 +0200

kdecoration (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:38 +0100

kdecoration (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:01 +0200

kdecoration (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:13 +0100

kdecoration (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Update symbols from build for 5.24.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:14 +0200

kdecoration (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:43 +0100

kdecoration (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:38:58 +0200

kdecoration (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:49 +0100

kdecoration (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:43:22 +0200

kdecoration (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:44:17 +0100

kdecoration (4:5.24.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove autopkgtest.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 22:29:19 +0100

kdecoration (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Update B-Ds and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:17 +0100

kdecoration (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:43:26 +0100

kdecoration (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:24:08 +0100

kdecoration (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:37:32 +0900

kdecoration (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kdecoration (4:5.23.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Tighten breaks against old versions (Closes: #996670).

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Oct 2021 16:07:35 +0900

kdecoration (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Update symbols.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Oct 2021 20:38:18 +0200

kdecoration (4:5.23.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * libkdecoration2private so bump 8->9.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kdecoration (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:18 +0200

kdecoration (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:54:05 +0200

kdecoration (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:27 +0200

kdecoration (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:40 +0900



=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5coreaddons-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Rules-Requires-Root: no

Package: libkdecorations2-5v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.23.90),
        kwin-decoration-oxygen (<< 4:5.23.90),
        kwin-style-breeze (<< 4:5.23.90),
        kwin-wayland (<< 4:5.23.90),
        kwin-wayland-backend-drm (<< 4:5.23.90),
        kwin-wayland-backend-fbdev (<< 4:5.23.90),
        kwin-wayland-backend-virtual (<< 4:5.23.90),
        kwin-wayland-backend-wayland (<< 4:5.23.90),
        kwin-wayland-backend-x11 (<< 4:5.23.90),
        kwin-x11 (<< 4:5.23.90),
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private9 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.23.90),
        kwin-wayland (<< 4:5.23.90),
        kwin-wayland-backend-drm (<< 4:5.23.90),
        kwin-wayland-backend-fbdev (<< 4:5.23.90),
        kwin-wayland-backend-virtual (<< 4:5.23.90),
        kwin-wayland-backend-wayland (<< 4:5.23.90),
        kwin-wayland-backend-x11 (<< 4:5.23.90),
        kwin-x11 (<< 4:5.23.90),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.26.4

=== debian/changelog ===
kdecoration (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:58:56 +0100

kdecoration (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:41:58 +0100

kdecoration (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:25:09 +0200

kdecoration (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:43:58 +0200

kdecoration (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:19 +0200

kdecoration (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
 Rules-Requires-Root: no
 
 Package: libkdecorations2-5v5

## kdecoration 5.27.2

=== debian/changelog ===
kdecoration (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:58:57 +0100

kdecoration (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Breaks against older version of kwin.
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:35 +0100

kdecoration (4:5.26.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:52 +0100

kdecoration (4:5.26.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Bump soname of libkdecorations2private to 10.
  * Update symbols from build for 5.26.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 01:31:41 +0100

kdecoration (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:10 +0100

## kdecoration 5.27.3

=== debian/changelog ===
kdecoration (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:14:56 +0100

## kdecoration 5.27.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(decoration-api)
set(PROJECT_VERSION "5.27.4")

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION2
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
                        SOVERSION 5)

#dependencies
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Test
)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
add_definitions(-DQT_NO_KEYWORDS)

# Subdirectories
add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDecoration2")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration2Config.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                  )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KDecoration2Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDecoration2Targets.cmake NAMESPACE KDecoration2:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
kdecoration (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:18 +0100

kdecoration (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:45 +0000

kdecoration (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:33 +0000

kdecoration (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:16 +0000

kdecoration (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -14,10 +15,10 @@
                libkf5i18n-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Rules-Requires-Root: no
 
 Package: libkdecorations2-5v5
@@ -44,7 +45,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
-         libkdecorations2private9 (= ${binary:Version}),
+         libkdecorations2private10 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: library to create window decorations - development files
@@ -54,7 +55,7 @@
  .
  This package contains the development files.
 
-Package: libkdecorations2private9
+Package: libkdecorations2private10
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

## kdecoration 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "5.27.4")
+set(PROJECT_VERSION "5.27.5")
 
 set(QT_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")

=== src/private/CMakeLists.txt ===
set(libkdecoration2Private_SRCS
    decoratedclientprivate.cpp
    decoratedclientprivate.h
    decorationbridge.cpp
    decorationbridge.h
    decorationsettingsprivate.cpp
    decorationsettingsprivate.h
)

add_library(kdecorations2private SHARED ${libkdecoration2Private_SRCS})

generate_export_header(
    kdecorations2private
BASE_NAME
    KDECORATIONS_PRIVATE
EXPORT_FILE_NAME
    kdecoration2/private/kdecoration2_private_export.h
)

add_library(KDecoration2::KDecorationPrivate ALIAS kdecorations2private)

target_link_libraries(kdecorations2private
    PUBLIC
        Qt::Core
        Qt::Gui
)

target_include_directories(kdecorations2private INTERFACE "$<INSTALL_INTERFACE:${KDECORATION2_INCLUDEDIR}>" )

set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION}
                                                      SOVERSION 10
                                                      EXPORT_NAME KDecoration2Private
)

ecm_generate_headers(KDecoration2Private_CamelCase_HEADERS
  HEADER_NAMES
    DecoratedClientPrivate
    DecorationBridge
    DecorationSettingsPrivate
  PREFIX
    KDecoration2/Private
  REQUIRED_HEADERS KDecoration2Private_HEADERS
)
install(FILES ${KDecoration2Private_CamelCase_HEADERS}
        DESTINATION ${KDECORATION2_INCLUDEDIR}/KDecoration2/Private
        COMPONENT Devel)

install(TARGETS kdecorations2private EXPORT KDecoration2Targets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2/private/kdecoration2_private_export.h
        ${KDecoration2Private_HEADERS}
    DESTINATION
        ${KDECORATION2_INCLUDEDIR}/kdecoration2/private
    COMPONENT
        Devel
)

=== debian/changelog ===
kdecoration (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:40 +0200

kdecoration (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:25:55 +0200

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
Rules-Requires-Root: no

Package: libkdecorations2-5v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-decoration-oxygen (<< 4:5.26.70),
        kwin-style-breeze (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private10 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private10
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.27.7

=== debian/changelog ===
kdecoration (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:02 +0100

kdecoration (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:29 +0100

kdecoration (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:44 +0100

## kdecoration 5.27.8

=== debian/changelog ===
kdecoration (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:51 +0100

kdecoration (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 14:21:34 +0100

kdecoration (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:49:36 +0200

## kdecoration 5.27.10

=== debian/changelog ===
kdecoration (4:5.27.10-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Dec 2023 12:56:25 +0000

kdecoration (4:5.27.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (5.27.10).

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 21:06:30 +0100

kdecoration (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:54 +0000

kdecoration (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:11 +0200

kdecoration (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:02 +0100

kdecoration (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:15 +0200

## kdecoration 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 
 set(QT_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")
@@ -41,6 +41,8 @@
         message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
     endif()
 endif()
+
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kdecoration (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:41:09 +0000

kdecoration (4:5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:00 +0000

kdecoration (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:50:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -16,8 +17,8 @@
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Rules-Requires-Root: no
 
 Package: libkdecorations2-5v5

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kdecoration 6.1.5

=== debian/changelog ===
kdecoration (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:17 +0100

kdecoration (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:30 +0100

kdecoration (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Kubuntu Vcs and maintainer.
  * Mark 2 symbols as optional to fix FTBFS on launchpad buildds.

 -- Rik Mills <rikmills@kde.org>  Thu, 01 Aug 2024 12:15:36 +0100

kdecoration (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:08 +0200

kdecoration (4:6.1.0-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libkdecorations2-6 against
    libkdecorations2-5v5 (Closes: #1074264).

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 17:49:16 +0200

kdecoration (4:6.1.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jun 2024 07:04:02 +0200

kdecoration (4:6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Recreate the symbol-files as they had the wrong version.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 19:05:50 +0200

kdecoration (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * New binary packages libkdecorations2-6 and
    libkdecorations2private11.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:58:04 +0200

kdecoration (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:18:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+               libkf6i18n-dev (>= 6.2.0~),
+               libxkbcommon-dev,
+               qt6-base-dev (>= 6.6.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Rules-Requires-Root: no
 
-Package: libkdecorations2-5v5
+Package: libkdecorations2-6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -35,6 +35,8 @@
         kwin-wayland-backend-wayland (<< 4:5.26.70),
         kwin-wayland-backend-x11 (<< 4:5.26.70),
         kwin-x11 (<< 4:5.26.70),
+        libkdecorations2-5v5,
+Replaces: libkdecorations2-5v5,
 Description: library to create window decorations
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -44,9 +46,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkdecorations2-5v5 (= ${binary:Version}),
-         libkdecorations2private10 (= ${binary:Version}),
-         qtbase5-dev (>= 5.15.2~),
+Depends: libkdecorations2-6 (= ${binary:Version}),
+         libkdecorations2private11 (= ${binary:Version}),
+         qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window
@@ -55,7 +57,7 @@
  .
  This package contains the development files.
 
-Package: libkdecorations2private10
+Package: libkdecorations2private11
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},

## kdecoration 6.2.5

=== debian/changelog ===
kdecoration (4:6.2.5-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 4:6.2.3-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 03 Dec 2024 17:55:40 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 12 Jan 2025 05:15:45 +0000

kdecoration (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:21 +0100

kdecoration (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:25 +0100

kdecoration (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:23 +0100

kdecoration (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:43:43 +0200

kdecoration (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.90.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:39 +0200

kdecoration (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:31 +0200

kdecoration (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.5.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
 Rules-Requires-Root: no
 
 Package: libkdecorations2-6
@@ -48,7 +47,7 @@
 Multi-Arch: same
 Depends: libkdecorations2-6 (= ${binary:Version}),
          libkdecorations2private11 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window

## kdecoration 6.2.90

=== debian/changelog ===
kdecoration (4:6.2.90-0ubuntu3) plucky; urgency=medium

  * Restore Breaks/Replaces against libkdecorations2 libs now all of
    Plasma Beta is migrated.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jan 2025 14:14:06 +0000

kdecoration (4:6.2.90-0ubuntu2) plucky; urgency=medium

  * Drop unneeded Breaks/Replaces.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 23:21:05 +0000

kdecoration (4:6.2.90-0ubuntu1) plucky; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (6.2.90)
  * Update symbols from build logs.

  [ Simon Quigley ]
  * Package renames for kdecoration2 -> kdecoration3:
    - libkdecorations2-6 -> libkdecorations3-6
    - libkdecorations2private11 -> libkdecorations3private1
    - libkdecorations2-dev -> libkdecorations3-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jan 2025 03:40:20 +0000

kdecoration (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:40 +0000

kdecoration (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:39 +0000

kdecoration (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:55 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6i18n-dev (>= 6.10.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Rules-Requires-Root: no

Package: libkdecorations3-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-decoration-oxygen (<< 4:5.26.70),
        kwin-style-breeze (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2-5v5,
        libkdecorations2-6,
Replaces: libkdecorations2-5v5, libkdecorations2-6
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations3-6 (= ${binary:Version}),
         libkdecorations3private1 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0+dfsg~),
         ${misc:Depends},
Breaks: libkdecorations2-dev
Replaces: libkdecorations2-dev
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations3private1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2private11,
Replaces: libkdecorations2private11,
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 6.3.0

=== debian/changelog ===
kdecoration (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:51:59 +0100

kdecoration (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:34 +0100

kdecoration (4:6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 18:59:05 +0100

kdecoration (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to library soname changes to libkdecorations3 and
    libkdecorations3private1.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6i18n-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
 Rules-Requires-Root: no
 
 Package: libkdecorations3-6
@@ -35,9 +34,8 @@
         kwin-wayland-backend-wayland (<< 4:5.26.70),
         kwin-wayland-backend-x11 (<< 4:5.26.70),
         kwin-x11 (<< 4:5.26.70),
-        libkdecorations2-5v5,
         libkdecorations2-6,
-Replaces: libkdecorations2-5v5, libkdecorations2-6
+Replaces: libkdecorations2-6,
 Description: library to create window decorations
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -49,10 +47,8 @@
 Multi-Arch: same
 Depends: libkdecorations3-6 (= ${binary:Version}),
          libkdecorations3private1 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
-Breaks: libkdecorations2-dev
-Replaces: libkdecorations2-dev
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -72,8 +68,6 @@
         kwin-wayland-backend-wayland (<< 4:5.26.70),
         kwin-wayland-backend-x11 (<< 4:5.26.70),
         kwin-x11 (<< 4:5.26.70),
-        libkdecorations2private11,
-Replaces: libkdecorations2private11,
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
